# Class EvaluationController

java.lang.Object
com.google.adk.web.controller.EvaluationController

@RestController public class EvaluationController extends Object
Controller handling evaluation-related endpoints (mostly placeholder implementations).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EvaluationController()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.springframework.http.ResponseEntity<Object>`
  `addSessionToEvalSet(String appName, String evalSetId, AddSessionToEvalSetRequest req)`
  Placeholder for adding a session to an evaluation set.
  `org.springframework.http.ResponseEntity<Object>`
  `createEvalSet(String appName, String evalSetId)`
  Placeholder for creating an evaluation set.
  `org.springframework.http.ResponseEntity<Object>`
  `getEvalResult(String appName, String evalResultId)`
  Gets a specific evaluation result.
  `List<String>`
  `listEvalResults(String appName)`
  Lists all evaluation results for an app.
  `List<String>`
  `listEvalSets(String appName)`
  Placeholder for listing evaluation sets.
  `List<String>`
  `listEvalsInEvalSet(String appName, String evalSetId)`
  Placeholder for listing evaluations within an evaluation set.
  `List<RunEvalResult>`
  `runEval(String appName, String evalSetId, RunEvalRequest req)`
  Placeholder for running evaluations.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EvaluationController

    public EvaluationController()

- ## Method Details

  - ### createEvalSet

    @PostMapping("/apps/{appName}/eval_sets/{evalSetId}") public org.springframework.http.ResponseEntity<Object> createEvalSet(@PathVariable String appName, @PathVariable String evalSetId)
    Placeholder for creating an evaluation set.

  - ### listEvalSets

    @GetMapping("/apps/{appName}/eval_sets") public List<String> listEvalSets(@PathVariable String appName)
    Placeholder for listing evaluation sets.

  - ### addSessionToEvalSet

    @PostMapping("/apps/{appName}/eval_sets/{evalSetId}/add-session") public org.springframework.http.ResponseEntity<Object> addSessionToEvalSet(@PathVariable String appName, @PathVariable String evalSetId, @RequestBody AddSessionToEvalSetRequest req)
    Placeholder for adding a session to an evaluation set.

  - ### listEvalsInEvalSet

    @GetMapping("/apps/{appName}/eval_sets/{evalSetId}/evals") public List<String> listEvalsInEvalSet(@PathVariable String appName, @PathVariable String evalSetId)
    Placeholder for listing evaluations within an evaluation set.

  - ### runEval

    @PostMapping("/apps/{appName}/eval_sets/{evalSetId}/run-eval") public List<RunEvalResult> runEval(@PathVariable String appName, @PathVariable String evalSetId, @RequestBody RunEvalRequest req)
    Placeholder for running evaluations.

  - ### getEvalResult

    @GetMapping("/apps/{appName}/eval_results/{evalResultId}") public org.springframework.http.ResponseEntity<Object> getEvalResult(@PathVariable String appName, @PathVariable String evalResultId)
    Gets a specific evaluation result. (STUB - Not Implemented)
    Parameters:
      `appName` - The application name.
      `evalResultId` - The evaluation result ID.
    Returns:
      A ResponseEntity indicating the endpoint is not implemented.

  - ### listEvalResults

    @GetMapping("/apps/{appName}/eval_results") public List<String> listEvalResults(@PathVariable String appName)
    Lists all evaluation results for an app. (STUB - Not Implemented)
    Parameters:
      `appName` - The application name.
    Returns:
      An empty list, as this endpoint is not implemented.